Developers
cancel
Showing results for 
Search instead for 
Did you mean: 

DXM Developer Knowledge Base

Visual Studio Desktop Connection Extension

The most recent version (1.7.x) of Visual Studio Desktop Connection Extension is optimized for use with Visual Studio 2019 with support for 2015 and 2017. It supports creating and editing templates using the C# and Classic API.

Overview

cdc-overview.jpg

As a developer, you would use the Visual Studio Extension if

  • You are a .net developer, accustomed to the Visual Studio tool set
  • You are a new CrownPeak developer who needs intellisense for guidance
  • Access to templates and files embedded in Visual studio UI

Get the Extension

Visual Studio 2015 or later is required.

1. On the menu bar, choose Tools, Extensions and Updates...

cdc-01.png

2. On the left panel, choose Online, Visual Studio Gallery

cdc-02.png

3. Enter crownpeak in the search box in the upper right hand corner and click the 'Download' button in the results.

 cdc-03.png

Download Now

 

Get the Add-In 

For Visual Studio 2010-2015 Windows Installer 3.1 and .NET Framework 3.5 are required prequisites
If these components are already installed, you can launch the application.

Download Now

Labels (2)
Comments
Why, when we are halfway through 2019 is the supported version 2015? Is there going to be an update to this to allow us to use a more current version of Visual Studio or something more lightweight like VSCode?

Hi @davidbeere ,

Thank you for your question! I will make sure that this is seen by the right person.

All the best,

Marin Klostermeier - @marink

Community Moderator

 

Hi @davidbeere ,

Thanks for you question. Yes, Desktop Connection is currently being updated and a release to support 2019 is planned for this quarter. The product team is also researching additional editors and IDEs, so we have let them know about your interest in support for VS Code.

Best, Denise

Hi @MarinK ,

recently we started getting an error in Visual Studio 2015. We tried with the existing machine as well as new machine,  in both the case are are getting the same error.

 you can get more details about the error in the below link

https://community.crownpeak.com/t5/Developer-Discussions/CDCPackage-did-not-load-correctly/m-p/1709#...

Hello,

 

Did you see Denise's answer to your question on Friday? Please, follow up with support if you have any additional questions.

 

All the best!

Marin Klostermeier @MarinK 

Community Moderator

 

Version history
Revision #:
5 of 5
Last update:
a month ago
Updated by:
 
Looking for more?
Ask in Discussions
Developers

Peer-to-peer support  and answers on developing CMS templates, modifying privacy scripts or building integrations.

Digital Experience Management

Find answers and ask questions on content management, personalization and targeting.

Digital Quality Management

Find answers and ask questions on WCAG and SEO quality management.

Digital Governance

Find answers and ask questions on consent and monitoring solutions.